title1 Census of Canada, 1971: MUNICIPALITY/CA-Long Form : B2ECOC04
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   $CHAR8.
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133
       V11   134-140
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210
       V22   211-217
       V23   218-224
       V24   225-231
       V25   232-238
       V26   239-245
       V27   246-252
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287
       V33   288-294 .0
       V34   295-301 .0
       V35   302-308 .0
       V36   309-315 .0
       V37   316-322 .0
       V38   323-329 .0
       V39   330-336 .0
       V40   337-343 .0
       V41   344-350 .0
       V42   351-357 .0
       V43   358-364 .0
       V44   365-371 .0
       V45   372-378 .0
       V46   379-385 .0
       V47   386-392 .0
       V48   393-399 .0
       V49   400-406 .3
       V50   407-413 .3
       V51   414-420 .3
       V52   421-427 .3
       V53   428-434 .3
       V54   435-441 .3
       V55   442-448 .3
       V56   449-455 .3
       V57   456-462 .3
       V58   463-469 .3
       V59   470-476 .3
       V60   477-483 .3
       V61   484-490 .3
       V62   491-497 .3
       V63   498-504 .3
       V64   505-511 .3
       V65   512-518
       V66   519-525
       V67   526-532
       V68   533-539
       V69   540-546
       V70   547-553
       V71   554-560
       V72   561-567
       V73   568-574
       V74   575-581
       V75   582-588
       V76   589-595
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686 .0
       V90   687-693 .0
       V91   694-700 .0
       V92   701-707 .0
       V93   708-714 .0
       V94   715-721 .0
       V95   722-728 .0
       V96   729-735 .0
       V97   736-742 .0
       V98   743-749 .0
       V99   750-756 .0
       V100   757-763 .0
       V101   764-770 .3
       V102   771-777 .3
       V103   778-784 .3
       V104   785-791 .3
       V105   792-798 .3
       V106   799-805 .3
       V107   806-812 .3
       V108   813-819 .3
       V109   820-826 .3
       V110   827-833 .3
       V111   834-840 .3
       V112   841-847 .3
       V113   848-854
       V114   855-861
       V115   862-868
       V116   869-875
       V117   876-882
       V118   883-889
       V119   890-896
       V120   897-903
       V121   904-910
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980
       V132   981-987
       V133   988-994
       V134   995-1001
       V135   1002-1008
       V136   1009-1015
       V137   1016-1022
       V138   1023-1029
       V139   1030-1036
       V140   1037-1043
       V141   1044-1050
       V142   1051-1057
       V143   1058-1064
       V144   1065-1071
       V145   1072-1078 .0
       V146   1079-1085 .0
       V147   1086-1092 .0
       V148   1093-1099 .0
       V149   1100-1106 .0
       V150   1107-1113 .0
       V151   1114-1120 .0
       V152   1121-1127 .0
       V153   1128-1134 .0
       V154   1135-1141 .0
       V155   1142-1148 .0
       V156   1149-1155 .0
       V157   1156-1162 .0
       V158   1163-1169 .0
       V159   1170-1176 .0
       V160   1177-1183 .0
       V161   1184-1190 .3
       V162   1191-1197 .3
       V163   1198-1204 .3
       V164   1205-1211 .3
       V165   1212-1218 .3
       V166   1219-1225 .3
       V167   1226-1232 .3
       V168   1233-1239 .3
       V169   1240-1246 .3
       V170   1247-1253 .3
       V171   1254-1260 .3
       V172   1261-1267 .3
       V173   1268-1274 .3
       V174   1275-1281 .3
       V175   1282-1288 .3
       V176   1289-1295 .3
       V177   1296-1302
       V178   1303-1309
       V179   1310-1316
       V180   1317-1323
       V181   1324-1330
       V182   1331-1337
       V183   1338-1344
       V184   1345-1351
       V185   1352-1358
       V186   1359-1365
       V187   1366-1372
       V188   1373-1379
       V189   1380-1386
       V190   1387-1393
       V191   1394-1400
       V192   1401-1407
       V193   1408-1414
       V194   1415-1421
       V195   1422-1428
       V196   1429-1435
       V197   1436-1442 .0
       V198   1443-1449 .0
       V199   1450-1456 .0
       V200   1457-1463 .0
       V201   1464-1470 .0
       V202   1471-1477 .0
       V203   1478-1484 .0
       V204   1485-1491 .0
       V205   1492-1498 .0
       V206   1499-1505 .0
       V207   1506-1512 .0
       V208   1513-1519 .0
       V209   1520-1526 .0
       V210   1527-1533 .0
       V211   1534-1540 .0
       V212   1541-1547 .0
       V213   1548-1554 .3
       V214   1555-1561 .3
       V215   1562-1568 .3
       V216   1569-1575 .3
       V217   1576-1582 .3
       V218   1583-1589 .3
       V219   1590-1596 .3
       V220   1597-1603 .3
       V221   1604-1610 .3
       V222   1611-1617 .3
       V223   1618-1624 .3
       V224   1625-1631 .3
       V225   1632-2002 .3
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban municipality'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Males-age: 15+'
        V2 = 'Males-age: 15-19'
        V3 = 'Males-age: 20-24'
        V4 = 'Males-age: 25-34'
        V5 = 'Males-age: 35-44'
        V6 = 'Males-age: 45-54'
        V7 = 'Males-age: 55-64'
        V8 = 'Males-age: 65+'
        V9 = 'Females- age: 15+'
        V10 = 'Females- age: 15-19'
        V11 = 'Females- age: 20-24'
        V12 = 'Females- age: 25-34'
        V13 = 'Females- age: 35-44'
        V14 = 'Females- age: 45-54'
        V15 = 'Females- age: 55-64'
        V16 = 'Females- age: 65+'
        V17 = 'Males-with inc: 15+'
        V18 = 'Males-with inc: 15-19'
        V19 = 'Males-with inc: 19-24'
        V20 = 'Males-with inc: 25-34'
        V21 = 'Males-with inc: 35-44'
        V22 = 'Males-with inc: 45-54'
        V23 = 'Males-with inc: 55-64'
        V24 = 'Males-with inc: 65+'
        V25 = 'Females-with inc: 15+'
        V26 = 'Females-with inc: 15-19'
        V27 = 'Females-with inc: 20-24'
        V28 = 'Females-with inc: 25-34'
        V29 = 'Females-with inc: 35-44'
        V30 = 'Females-with inc: 45-54'
        V31 = 'Females-with inc: 55-64'
        V32 = 'Females-with inc: 65+'
        V33 = 'Males-avg inc: 15+'
        V34 = 'Males-avg inc: 15-19'
        V35 = 'Males-avg inc: 20-24'
        V36 = 'Males-avg inc: 25-34'
        V37 = 'Males-avg inc: 35-44'
        V38 = 'Males-avg inc: 45-54'
        V39 = 'Males-avg inc: 55-64'
        V40 = 'Males-avg inc: 65+'
        V41 = 'Females-avg inc: 15+'
        V42 = 'Females-avg inc: 15-19'
        V43 = 'Females-avg inc: 20-24'
        V44 = 'Females-avg inc: 25-34'
        V45 = 'Females-avg inc: 35-44'
        V46 = 'Females-avg inc: 45-54'
        V47 = 'Females-avg inc: 55-64'
        V48 = 'Females-avg inc: 65+'
        V49 = 'Males-median inc: 15+'
        V50 = 'Males-median inc: 15-19'
        V51 = 'Males-median inc: 20-24'
        V52 = 'Males-median inc: 25-34'
        V53 = 'Males-median inc: 35-44'
        V54 = 'Males-median inc: 45-54'
        V55 = 'Males-median inc: 55-64'
        V56 = 'Males-median inc: 65+'
        V57 = 'Females-median inc: 15+'
        V58 = 'Females-median inc: 15-19'
        V59 = 'Females-median inc: 20-24'
        V60 = 'Females-median inc: 25-34'
        V61 = 'Females-median inc: 35-44'
        V62 = 'Females-median inc: 45-54'
        V63 = 'Females-median inc: 55-64'
        V64 = 'Females-median inc: 65+'
        V65 = 'Males: tot schlng'
        V66 = 'Males: <grade 9'
        V67 = 'Males: grades 9-11'
        V68 = 'Males: grades 12-13'
        V69 = 'Males: some univ, no deg'
        V70 = 'Males: univ deg'
        V71 = 'Females: tot schlng'
        V72 = 'Females: <grade 9'
        V73 = 'Females: grades 9-11'
        V74 = 'Females: grades 12-13'
        V75 = 'Females: some univ, no deg'
        V76 = 'Females: univ deg'
        V77 = 'Males-with inc: tot schlng'
        V78 = 'Males-with inc: <grade 9'
        V79 = 'Males-with inc: grades 9-11'
        V80 = 'Males-with inc: grades 12-13'
        V81 = 'Males-with inc: some univ, no deg'
        V82 = 'Males-with inc: univ deg'
        V83 = 'Females-with inc: tot schlng'
        V84 = 'Females-with inc: <grade 9'
        V85 = 'Females-with inc: grades 9-11'
        V86 = 'Females-with inc: grades 12-13'
        V87 = 'Females-with inc: some univ, no deg'
        V88 = 'Females-with inc: univ deg'
        V89 = 'Males-avg inc: tot schlng'
        V90 = 'Males-avg inc: <grade 9'
        V91 = 'Males-avg inc: grades 9-11'
        V92 = 'Males-avg inc: grades 12-13'
        V93 = 'Males-avg inc: some univ, no deg'
        V94 = 'Males-avg inc: univ deg'
        V95 = 'Females-avg inc: tot schlng'
        V96 = 'Females-avg inc: <grade 9'
        V97 = 'Females-avg inc: grades 9-11'
        V98 = 'Females-avg inc: grades 12-13'
        V99 = 'Females-avg inc: some univ, no deg'
        V100 = 'Females-avg inc: univ deg'
        V101 = 'Males-med inc: tot schlng'
        V102 = 'Males-med inc: <grade 9'
        V103 = 'Males-med inc: grades 9-11'
        V104 = 'Males-med inc: grades 12-13'
        V105 = 'Males-med inc: some univ, no deg'
        V106 = 'Males-med inc: univ deg'
        V107 = 'Females-median inc: tot schlng'
        V108 = 'Females-median inc: <grade 9'
        V109 = 'Females-median inc: grades 9-11'
        V110 = 'Females-median inc: grades 12-13'
        V111 = 'Females-median inc: some univ, no deg'
        V112 = 'Females-median inc: univ deg'
        V113 = 'Males-worked 1970-age: 15+'
        V114 = 'Males-worked 1970-age: 15-19'
        V115 = 'Males-worked 1970-age: 20-24'
        V116 = 'Males-worked 1970-age: 25-34'
        V117 = 'Males-worked 1970-age: 35-44'
        V118 = 'Males-worked 1970-age: 45-54'
        V119 = 'Males-worked 1970-age: 55-64'
        V120 = 'Males-worked 1970-age: 65+'
        V121 = 'Females-worked 1970-age: 15+'
        V122 = 'Females-worked 1970-age: 15-19'
        V123 = 'Females-worked 1970-age: 20-24'
        V124 = 'Females-worked 1970-age: 25-34'
        V125 = 'Females-worked 1970-age: 35-44'
        V126 = 'Females-worked 1970-age: 45-54'
        V127 = 'Females-worked 1970-age: 55-64'
        V128 = 'Females-worked 1970-age: 65+'
        V129 = 'Males-with emp inc-age: 15+'
        V130 = 'Males-with emp inc-age: 15-19'
        V131 = 'Males-with emp inc-age: 20-24'
        V132 = 'Males-with emp inc-age: 25-34'
        V133 = 'Males-with emp inc-age: 35-44'
        V134 = 'Males-with emp inc-age: 45-54'
        V135 = 'Males-with emp inc-age: 55-64'
        V136 = 'Males-with emp inc-age: 65+'
        V137 = 'Females-with emp inc-age: 15+'
        V138 = 'Females-with emp inc-age: 15-19'
        V139 = 'Females-with emp inc-age: 20-24'
        V140 = 'Females-with emp inc-age: 25-34'
        V141 = 'Females-with emp inc-age: 35-44'
        V142 = 'Females-with emp inc-age: 45-54'
        V143 = 'Females-with emp inc-age: 55-64'
        V144 = 'Females-with emp inc-age: 65+'
        V145 = 'Males-avg emp inc- age: 15+'
        V146 = 'Males-avg emp inc- age: 15-19'
        V147 = 'Males-avg emp inc- age: 20-24'
        V148 = 'Males-avg emp inc- age: 25-34'
        V149 = 'Males-avg emp inc- age: 35-44'
        V150 = 'Males-avg emp inc- age: 45-54'
        V151 = 'Males-avg emp inc- age: 55-64'
        V152 = 'Males-avg emp inc- age: 65+'
        V153 = 'Females-avg emp inc-age: 15+'
        V154 = 'Females-avg emp inc-age: 15-19'
        V155 = 'Females-avg emp inc-age: 20-24'
        V156 = 'Females-avg emp inc-age: 25-34'
        V157 = 'Females-avg emp inc-age: 35-44'
        V158 = 'Females-avg emp inc-age: 45-54'
        V159 = 'Females-avg emp inc-age: 55-64'
        V160 = 'Females-avg emp inc-age: 65+'
        V161 = 'Males-median emp inc-age: 15+'
        V162 = 'Males-median emp inc-age: 15-19'
        V163 = 'Males-median emp inc-age: 20-24'
        V164 = 'Males-median emp inc-age: 25-34'
        V165 = 'Males-median emp inc-age: 35-44'
        V166 = 'Males-median emp inc-age: 45-54'
        V167 = 'Males-median emp inc-age: 55-64'
        V168 = 'Males-median emp inc-age: 65+'
        V169 = 'Females-median emp inc-age: 15+'
        V170 = 'Females-median emp inc-age: 15-19'
        V171 = 'Females-median emp inc-age: 20-24'
        V172 = 'Females-median emp inc-age: 25-34'
        V173 = 'Females-median emp inc-age: 35-44'
        V174 = 'Females-median emp inc-age: 45-54'
        V175 = 'Females-median emp inc-age: 55-64'
        V176 = 'Females-median emp inc-age: 65+'
        V177 = 'Males-worked in 1970: tot schlng'
        V178 = 'Males-worked in 1970: <grade 9'
        V179 = 'Males-worked in 1970: grades 9-11'
        V180 = 'Males-worked in 1970: grades 12-13'
        V181 = 'Males-worked in 1970: some univ, no deg'
        V182 = 'Males-worked in 1970: univ deg'
        V183 = 'Females-worked in 1970: tot schlng'
        V184 = 'Females-worked in 1970: <grades 9'
        V185 = 'Females-worked in 1970: grades 9-11'
        V186 = 'Females-worked in 1970: grades 12-13'
        V187 = 'Females-worked in 1970: some univ, no deg'
        V188 = 'Females-worked in 1970: univ deg'
        V189 = 'Males-with emp inc: tot schlng'
        V190 = 'Males-with emp inc: <grade 9'
        V191 = 'Males-with emp inc: grades 9-11'
        V192 = 'Males-with emp inc: grades 12-13'
        V193 = 'Males-with emp inc: some univ, no deg'
        V194 = 'Males-with emp inc: univ deg'
        V195 = 'Females-with emp inc: tot schlng'
        V196 = 'Females-with emp inc: <grade 9'
        V197 = 'Females-with emp inc: grades 9-11'
        V198 = 'Females-with emp inc: grades 12-13'
        V199 = 'Females-with emp inc: some univ, no deg'
        V200 = 'Females-with emp inc: univ deg'
        V201 = 'Males-avg emp inc: tot schlng'
        V202 = 'Males-avg emp inc: <grade 9'
        V203 = 'Males-avg emp inc: grades 9-11'
        V204 = 'Males-avg emp inc: grades 12-13'
        V205 = 'Males-avg emp inc: some univ, no deg'
        V206 = 'Males-avg emp inc: univ deg'
        V207 = 'Females-avg emp inc: tot schlng'
        V208 = 'Females-avg emp inc: <grade 9'
        V209 = 'Females-avg emp inc: grades 9-11'
        V210 = 'Females-avg emp inc: grades 12-13'
        V211 = 'Females-avg emp inc: some univ, no deg'
        V212 = 'Females-avg emp inc: univ deg'
        V213 = 'Males-median emp inc: tot schlng'
        V214 = 'Males-median emp inc: <grade 9'
        V215 = 'Males-median emp inc: grades 9-11'
        V216 = 'Males-median emp inc: grades 12-13'
        V217 = 'Males-median emp inc: some univ, no deg'
        V218 = 'Males-median emp inc: univ deg'
        V219 = 'Females-median emp inc: tot schlng'
        V220 = 'Females-median emp inc: <grade 9'
        V221 = 'Females-median emp inc: grades 9-11'
        V222 = 'Females-median emp inc: grades 12-13'
        V223 = 'Females-median emp inc: some univ, no deg'
        V224 = 'Females-median emp inc: univ deg'
        V225 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
